Intermittent test_direct_update.py TestDirectUpdate.test_update, test_fallback_update.py TestFallbackUpdate.test_update | ValueError: invalid literal for int() with base 10: ''

RESOLVED FIXED in Firefox 52

Status

Testing
Firefox UI Tests
RESOLVED FIXED
a year ago
a year ago

People

(Reporter: Treeherder Bug Filer, Assigned: whimboo)

Tracking

({intermittent-failure, regression})

Version 3
mozilla53
intermittent-failure, regression
Points:
---
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox51 unaffected, firefox52 fixed, firefox53 fixed)

Details

MozReview Requests

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

(Assignee)

Comment 1

a year ago
 05:50:15     INFO - Traceback (most recent call last):
 05:50:15     INFO -   File "/home/mozauto/jenkins/workspace/mozilla-central_update/build/venv/local/lib/python2.7/site-packages/marionette_harness/marionette_test/testcases.py", line 166, in run
 05:50:15     INFO -     testMethod()
 05:50:15     INFO -   File "/home/mozauto/jenkins/workspace/mozilla-central_update/build/tests/firefox-ui/tests/update/fallback/test_fallback_update.py", line 22, in test_update
 05:50:15     INFO -     self.check_update_applied()
 05:50:15     INFO -   File "/home/mozauto/jenkins/workspace/mozilla-central_update/build/venv/local/lib/python2.7/site-packages/firefox_ui_harness/testcases.py", line 138, in check_update_applied
 05:50:15     INFO -     update_available = self.check_for_updates(about_window)
 05:50:15     INFO -   File "/home/mozauto/jenkins/workspace/mozilla-central_update/build/venv/local/lib/python2.7/site-packages/firefox_ui_harness/testcases.py", line 119, in check_for_updates
 05:50:15     INFO -     self.assertEqual(about_window.deck.selected_panel,
 05:50:15     INFO -   File "/home/mozauto/jenkins/workspace/mozilla-central_update/build/venv/local/lib/python2.7/site-packages/firefox_puppeteer/ui/about_window/deck.py", line 125, in selected_panel
 05:50:15     INFO -     return self.panels[self.selected_index]
 05:50:15     INFO -   File "/home/mozauto/jenkins/workspace/mozilla-central_update/build/venv/local/lib/python2.7/site-packages/firefox_puppeteer/ui/about_window/deck.py", line 117, in selected_index
05:50:15 INFO - return int(self.element.get_attribute('selectedIndex'))

So it's a regression caused by my patch on bug 1277090. Not sure why I haven't seen this locally because I explicitly tested updates from older builds without this change.
Assignee: nobody → hskupin
Blocks: 1277090
Status: NEW → ASSIGNED
status-firefox53: --- → affected
Keywords: regression
Summary: Intermittent test_direct_update.py TestDirectUpdate.test_update | ValueError: invalid literal for int() with base 10: '' → Intermittent test_direct_update.py TestDirectUpdate.test_update, test_fallback_update.py TestFallbackUpdate.test_update | ValueError: invalid literal for int() with base 10: ''
(Assignee)

Comment 2

a year ago
Ok, so the problem happens in the updated build. That makes it clear why I was not able to see it with a local update test run. I will have to see why our Puppeteer unit tests do not cover this.
Comment hidden (mozreview-request)
Comment on attachment 8822490 [details]
Bug 1326236 - Use get_property() to retrieve the selectedIndex of decks and wizards.

https://reviewboard.mozilla.org/r/101402/#review101924

Could you add the following to the commit message:
* What regression this fixes (the bug that introduced it).
* What is broken about using get_attribute here
Attachment #8822490 - Flags: review?(mjzffr) → review+
Comment hidden (mozreview-request)

Comment 6

a year ago
Pushed by hskupin@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/25505bf601f6
Use get_property() to retrieve the selectedIndex of decks and wizards. r=maja_zf
(Assignee)

Comment 8

a year ago
Problem here is that the test for the selected_panel is too specific. Some builds will have updates available whereby others not. I should change the assertion to check for the general panel type.
Flags: needinfo?(hskupin)
Comment hidden (mozreview-request)
(Assignee)

Comment 10

a year ago
mozreview-review
Comment on attachment 8822490 [details]
Bug 1326236 - Use get_property() to retrieve the selectedIndex of decks and wizards.

https://reviewboard.mozilla.org/r/101400/#review101942

The change from checking for a specific panel to an instance check for the class Panel solves it, and that is perfectly enough for the Puppeteer unit test. The try run is green now.

Comment 11

a year ago
Pushed by hskupin@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/121fd60184a7
Use get_property() to retrieve the selectedIndex of decks and wizards. r=maja_zf
44 failures in 84 pushes (0.524 failures/push) were associated with this bug yesterday.  

Repository breakdown:
* mozilla-central: 44

Platform breakdown:
* windows8-64: 8
* windows7-64: 8
* windows8-32: 4
* windows7-32: 4
* osx-10-9: 4
* osx-10-11: 4
* osx-10-10: 4
* linux64: 4
* linux32: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1326236&startday=2016-12-29&endday=2016-12-29&tree=all

Comment 13

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/121fd60184a7
Status: ASSIGNED → RESOLVED
Last Resolved: a year ago
status-firefox53: affected → fixed
Flags: in-testsuite+
Resolution: --- → FIXED
Target Milestone: --- → mozilla53
status-firefox51: --- → unaffected
status-firefox52: --- → unaffected
44 failures in 305 pushes (0.144 failures/push) were associated with this bug in the last 7 days. 

This is the #7 most frequent failure this week. 

Repository breakdown:
* mozilla-central: 44

Platform breakdown:
* windows8-64: 8
* windows7-64: 8
* windows8-32: 4
* windows7-32: 4
* osx-10-9: 4
* osx-10-11: 4
* osx-10-10: 4
* linux64: 4
* linux32: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1326236&startday=2016-12-26&endday=2017-01-01&tree=all
(Assignee)

Comment 15

a year ago
When uplifting this test-only patch please make sure to do it together with the patches on bug 1277090. Thanks.
status-firefox52: unaffected → affected
Whiteboard: [checkin-needed-aurora][uplift together with patch on bug 1277090]

Comment 16

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/286cc5f7a92d
status-firefox52: affected → fixed
Whiteboard: [checkin-needed-aurora][uplift together with patch on bug 1277090]
You need to log in before you can comment on or make changes to this bug.